package org.project.entity.players;

import org.project.entity.Entity;
import org.project.item.weapons.DualDagger;
import org.project.item.weapons.Weapon;


public class Assassin extends Player {

    private static final int maxHP = 110;
    private static final int maxMP = 110;

    public Assassin(String name){
        Weapon AssassinWeapon = new DualDagger();
        super(name, maxHP, maxMP, AssassinWeapon);
        specialAbilityMP = 30;
    }

    @Override
    public void lightAttack(Entity target) {
        super.lightAttack(target);
        System.out.printf("\t%s used Light Attack! (%d Mana)\n", name, 0);
        target.takeDamage(18);
    }


    @Override
    public void specialAbility(Entity target) {
        System.out.printf("\t%s used Special Ability \uD83D\uDCA5! Enemy gets hit critically (%d Mana)\n", name, 30);
        target.takeDamage(52); // critical attack
        this.mp -= specialAbilityMP;
        defending = true; // dodging (becomes invisible), technically does what Defend does.
    }
}
